| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Media::WrlSealed Class Reference

`#include <MediaSink.h>`

Inheritance diagram for Media::WrlSealed:
[legend]
Collaboration diagram for Media::WrlSealed:
[legend]

## Public Member Functions
| MediaStreamSink (__in const MW::ComPtr< IMFMediaSink > &sink, __in DWORD id, __in const MW::ComPtr< IMFMediaType > &mt, __in MediaSampleHandler^ sampleHandler)
IFACEMETHODIMP | GetMediaSink (__deref_out IMFMediaSink **sink)
IFACEMETHODIMP | GetIdentifier (__out DWORD *identifier)
IFACEMETHODIMP | GetMediaTypeHandler (__deref_out IMFMediaTypeHandler **handler)
IFACEMETHODIMP | ProcessSample (__in_opt IMFSample *sample)
IFACEMETHODIMP | PlaceMarker (__in MFSTREAMSINK_MARKER_TYPE markerType, __in const PROPVARIANT *markerValue, __in const PROPVARIANT *contextValue)
IFACEMETHODIMP | Flush ()
IFACEMETHODIMP | GetEvent (__in DWORD flags, __deref_out IMFMediaEvent **event)
IFACEMETHODIMP | BeginGetEvent (__in IMFAsyncCallback *callback, __in_opt IUnknown *state)
IFACEMETHODIMP | EndGetEvent (__in IMFAsyncResult *result, __deref_out IMFMediaEvent **event)
IFACEMETHODIMP | QueueEvent (__in MediaEventType met, __in REFGUID extendedType, __in HRESULT status, __in_opt const PROPVARIANT *value)
IFACEMETHODIMP | IsMediaTypeSupported (__in IMFMediaType *mediaType, __deref_out_opt IMFMediaType **closestMediaType)
IFACEMETHODIMP | GetMediaTypeCount (__out DWORD *typeCount)
IFACEMETHODIMP | GetMediaTypeByIndex (__in DWORD index, __deref_out IMFMediaType **mediaType)
IFACEMETHODIMP | SetCurrentMediaType (__in IMFMediaType *mediaType)
IFACEMETHODIMP | GetCurrentMediaType (__deref_out_opt IMFMediaType **mediaType)
IFACEMETHODIMP | GetMajorType (__out GUID *majorType)
void | InternalSetCurrentMediaType (__in const MW::ComPtr< IMFMediaType > &mediaType)
void | RequestSample ()
void | Shutdown ()

## Member Function Documentation

## ◆ BeginGetEvent()

IFACEMETHODIMP Media::WrlSealed::BeginGetEvent | ( | __in IMFAsyncCallback * | callback,
|  | __in_opt IUnknown * | state
| ) |  |

## ◆ EndGetEvent()

IFACEMETHODIMP Media::WrlSealed::EndGetEvent | ( | __in IMFAsyncResult * | result,
|  | __deref_out IMFMediaEvent ** | event
| ) |  |

## ◆ Flush()

IFACEMETHODIMP Media::WrlSealed::Flush | ( |  | ) |

## ◆ GetCurrentMediaType()

IFACEMETHODIMP Media::WrlSealed::GetCurrentMediaType | ( | __deref_out_opt IMFMediaType ** | mediaType | ) |

## ◆ GetEvent()

IFACEMETHODIMP Media::WrlSealed::GetEvent | ( | __in DWORD | flags,
|  | __deref_out IMFMediaEvent ** | event
| ) |  |

## ◆ GetIdentifier()

IFACEMETHODIMP Media::WrlSealed::GetIdentifier | ( | __out DWORD * | identifier | ) |

## ◆ GetMajorType()

IFACEMETHODIMP Media::WrlSealed::GetMajorType | ( | __out GUID * | majorType | ) |

## ◆ GetMediaSink()

IFACEMETHODIMP Media::WrlSealed::GetMediaSink | ( | __deref_out IMFMediaSink ** | sink | ) |

## ◆ GetMediaTypeByIndex()

IFACEMETHODIMP Media::WrlSealed::GetMediaTypeByIndex | ( | __in DWORD | index,
|  | __deref_out IMFMediaType ** | mediaType
| ) |  |

## ◆ GetMediaTypeCount()

IFACEMETHODIMP Media::WrlSealed::GetMediaTypeCount | ( | __out DWORD * | typeCount | ) |

## ◆ GetMediaTypeHandler()

IFACEMETHODIMP Media::WrlSealed::GetMediaTypeHandler | ( | __deref_out IMFMediaTypeHandler ** | handler | ) |

## ◆ InternalSetCurrentMediaType()

void Media::WrlSealed::InternalSetCurrentMediaType | ( | __in const MW::ComPtr< IMFMediaType > & | mediaType | ) |

## ◆ IsMediaTypeSupported()

IFACEMETHODIMP Media::WrlSealed::IsMediaTypeSupported | ( | __in IMFMediaType * | mediaType,
|  | __deref_out_opt IMFMediaType ** | closestMediaType
| ) |  |

## ◆ MediaStreamSink()

Media::WrlSealed::MediaStreamSink | ( | __in const MW::ComPtr< IMFMediaSink > & | sink,
|  | __in DWORD | id,
|  | __in const MW::ComPtr< IMFMediaType > & | mt,
|  | __in MediaSampleHandler^ | sampleHandler
| ) |  |

## ◆ PlaceMarker()

IFACEMETHODIMP Media::WrlSealed::PlaceMarker | ( | __in MFSTREAMSINK_MARKER_TYPE | markerType,
|  | __in const PROPVARIANT * | markerValue,
|  | __in const PROPVARIANT * | contextValue
| ) |  |

## ◆ ProcessSample()

IFACEMETHODIMP Media::WrlSealed::ProcessSample | ( | __in_opt IMFSample * | sample | ) |

## ◆ QueueEvent()

IFACEMETHODIMP Media::WrlSealed::QueueEvent | ( | __in MediaEventType | met,
|  | __in REFGUID | extendedType,
|  | __in HRESULT | status,
|  | __in_opt const PROPVARIANT * | value
| ) |  |

## ◆ RequestSample()

void Media::WrlSealed::RequestSample | ( |  | ) |

## ◆ SetCurrentMediaType()

IFACEMETHODIMP Media::WrlSealed::SetCurrentMediaType | ( | __in IMFMediaType * | mediaType | ) |

## ◆ Shutdown()

void Media::WrlSealed::Shutdown | ( |  | ) |

The documentation for this class was generated from the following files:

- Source/ARX/ARVideo/WindowsMediaCapture/CaptureFrameGrabber/MediaSink.h
- Source/ARX/ARVideo/WindowsMediaCapture/CaptureFrameGrabber/MediaStreamSink.h